/***************************************************************************
                          CdboDefaultOpt.h  -  description
                             -------------------
    begin                : Fri Jun 1 2001
    copyright            : (C) 2001 by Alexy Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CDBODEFAULTOPT_H
#define CDBODEFAULTOPT_H

#include <kconfig.h>
#include <kprocess.h>

#include "CdboDefaultOptBase.h"

class KAboutData;

class CdboDefaultOpt : public CdboDefaultOptBase{
    Q_OBJECT

public:
    CdboDefaultOpt( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~CdboDefaultOpt();

     void load();

	void save();
	void defaults();

	int buttons();
	QString quickHelp() const;
	const KAboutData* aboutData() const;
	
protected slots:
    virtual void customOutSlot();
    virtual void tmpBrowseSlot();
    virtual void quiteOutSlot();
    virtual void stdOutSlot();
    virtual void chekSizeSlot();
    virtual void showWarningsSlot();

    void sizeCheckProcessDoneSlot(KProcess *proc);
    void receivedSizeMessageSlot(KProcess *proc, char *buffer, int buflen);//

private:
	KConfig *config;
	KProcess *cdboProc;
	
	QString tempDir;
	//////////////////////////
	void enableCustOut(bool yes);
	void checkTmpSize();
	
	bool showMessage;
};

#endif // CDBODEFAULTOPT_H
